Shared Gallery Image Versions - Get
구독 ID 또는 테넌트 ID로 공유 갤러리 이미지 버전을 가져옵니다.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Compute/locations/{location}/sharedGalleries/{galleryUniqueName}/images/{galleryImageName}/versions/{galleryImageVersionName}?api-version=2024-03-03
URI 매개 변수
| Name | In(다음 안에) | 필수 | 형식 | Description |
|---|---|---|---|---|
|
gallery
|
path | True |
string |
이미지 버전이 나열될 공유 갤러리 이미지 정의의 이름입니다. |
|
gallery
|
path | True |
string |
만들 갤러리 이미지 버전의 이름입니다. 의미 체계 버전 이름 패턴을 따라야 합니다. 허용되는 문자는 숫자와 마침표입니다. 숫자는 32비트 정수 범위 내에 있어야 합니다. 형식: <MajorVersion>.<MinorVersion>.<패치> |
|
gallery
|
path | True |
string |
공유 갤러리의 고유한 이름입니다. |
|
location
|
path | True |
string minLength: 1 |
Azure 지역의 이름입니다. |
|
subscription
|
path | True |
string minLength: 1 |
대상 구독의 ID입니다. |
|
api-version
|
query | True |
string minLength: 1 |
이 작업에 사용할 API 버전입니다. |
응답
| Name | 형식 | Description |
|---|---|---|
| 200 OK |
Azure 작업이 성공적으로 완료되었습니다. |
|
| Other Status Codes |
예기치 않은 오류 응답입니다. |
보안
azure_auth
Azure Active Directory OAuth2 흐름.
형식:
oauth2
Flow:
implicit
권한 부여 URL:
https://login.microsoftonline.com/common/oauth2/authorize
범위
| Name | Description |
|---|---|
| user_impersonation | 사용자 계정 가장 |
예제
Get a shared gallery image version.
샘플 요청
GET https://management.azure.com/subscriptions/{subscription-id}/providers/Microsoft.Compute/locations/myLocation/sharedGalleries/galleryUniqueName/images/myGalleryImageName/versions/myGalleryImageVersionName?api-version=2024-03-03
샘플 응답
{
"properties": {
"publishedDate": "2018-03-20T09:12:28Z",
"endOfLifeDate": "2022-03-20T09:12:28Z",
"excludeFromLatest": false,
"storageProfile": {
"osDiskImage": {
"diskSizeGB": 29,
"hostCaching": "None"
}
},
"artifactTags": {
"ShareTag-Official1PGallery": "Official1PGallery"
}
},
"location": "myLocation",
"name": "myGalleryImageVersionName",
"identifier": {
"uniqueId": "/SharedGalleries/galleryUniqueName/Images/myGalleryImageName/Versions/myGalleryImageVersionName"
}
}
정의
| Name | Description |
|---|---|
|
Api |
API 오류. |
|
Api |
API 오류 기반. |
|
Cloud |
컴퓨팅 서비스의 오류 응답입니다. |
|
Inner |
내부 오류 세부 정보입니다. |
|
Shared |
이것은 데이터 디스크 이미지입니다. |
|
Shared |
디스크의 호스트 캐싱입니다. 유효한 값은 'None', 'ReadOnly' 및 'ReadWrite'입니다. |
|
Shared |
만들거나 업데이트하려는 갤러리 이미지 버전에 대한 정보를 지정합니다. |
|
Shared |
갤러리 이미지 버전의 스토리지 프로필입니다. |
|
Shared |
OS 디스크 이미지입니다. |
ApiError
API 오류.
| Name | 형식 | Description |
|---|---|---|
| code |
string |
오류 코드입니다. |
| details |
Api 오류 세부 정보 |
|
| innererror |
Api 내부 오류 |
|
| message |
string |
오류 메시지입니다. |
| target |
string |
특정 오류의 대상입니다. |
ApiErrorBase
API 오류 기반.
| Name | 형식 | Description |
|---|---|---|
| code |
string |
오류 코드입니다. |
| message |
string |
오류 메시지입니다. |
| target |
string |
특정 오류의 대상입니다. |
CloudError
컴퓨팅 서비스의 오류 응답입니다.
| Name | 형식 | Description |
|---|---|---|
| error |
API 오류. |
InnerError
내부 오류 세부 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| errordetail |
string |
내부 오류 메시지 또는 예외 덤프입니다. |
| exceptiontype |
string |
예외 유형입니다. |
SharedGalleryDataDiskImage
이것은 데이터 디스크 이미지입니다.
| Name | 형식 | Description |
|---|---|---|
| diskSizeGB |
integer (int32) |
이 속성은 만들 VHD의 크기를 나타냅니다. |
| hostCaching |
디스크의 호스트 캐싱입니다. 유효한 값은 'None', 'ReadOnly' 및 'ReadWrite'입니다. |
|
| lun |
integer (int32) |
이 속성은 데이터 디스크의 논리적 단위 번호를 지정합니다. 이 값은 Virtual Machine 내의 데이터 디스크를 식별하는 데 사용되므로 Virtual Machine에 연결된 각 데이터 디스크에 대해 고유해야 합니다. |
SharedGalleryHostCaching
디스크의 호스트 캐싱입니다. 유효한 값은 'None', 'ReadOnly' 및 'ReadWrite'입니다.
| 값 | Description |
|---|---|
| None | |
| ReadOnly | |
| ReadWrite |
SharedGalleryImageVersion
만들거나 업데이트하려는 갤러리 이미지 버전에 대한 정보를 지정합니다.
| Name | 형식 | Description |
|---|---|---|
| identifier.uniqueId |
string |
이 공유 갤러리의 고유 ID입니다. |
| location |
string |
리소스 위치 |
| name |
string |
리소스 이름 |
| properties.artifactTags |
object |
공유 갤러리 리소스의 아티팩트 태그입니다. |
| properties.endOfLifeDate |
string (date-time) |
갤러리 이미지 버전의 수명 종료 날짜 정의입니다. 이 속성은 서비스 해제 목적으로 사용할 수 있습니다. 이 속성은 업데이트할 수 있습니다. |
| properties.excludeFromLatest |
boolean |
true로 설정하면 최신 버전의 이미지 정의에서 배포된 Virtual Machines는 이 이미지 버전을 사용하지 않습니다. |
| properties.publishedDate |
string (date-time) |
갤러리 이미지 버전 정의의 게시 날짜입니다. 이 속성은 서비스 해제 목적으로 사용할 수 있습니다. 이 속성은 업데이트할 수 있습니다. |
| properties.storageProfile |
이미지 버전의 스토리지 프로파일에 대해 설명합니다. |
SharedGalleryImageVersionStorageProfile
갤러리 이미지 버전의 스토리지 프로필입니다.
| Name | 형식 | Description |
|---|---|---|
| dataDiskImages |
데이터 디스크 이미지 목록입니다. |
|
| osDiskImage |
OS 디스크 이미지입니다. |
SharedGalleryOSDiskImage
OS 디스크 이미지입니다.
| Name | 형식 | Description |
|---|---|---|
| diskSizeGB |
integer (int32) |
이 속성은 만들 VHD의 크기를 나타냅니다. |
| hostCaching |
디스크의 호스트 캐싱입니다. 유효한 값은 'None', 'ReadOnly' 및 'ReadWrite'입니다. |